const

DrFuncGetVersion          = 0;  { This could be an enumerated type, but this }
DrFuncGetConvStatus       = 1;  { way the individual values are more visible.}
DrFuncGetDriverStatus     = 2;
DrFuncGetFIFODataStatus   = 3;
DrFuncGetFIFOOvflStatus   = 4;
DrFuncStartConversions    = 5;
DrFuncStopConversions     = 6;
DrFuncGetTemp             = 7;
DrFuncGetFIFOData         = 8;
DrFuncGetScanCount        = 9;
DrFuncGetAtoDRecPtr       = 10;
DrFuncGetCalibRecPtr      = 11;
DrFuncSetConvRate         = 12;

GetD4A23Version        = 1;

StTrue = $FF;
StFalse= $00;

ErrorCodeOK = 0;
ErrorCodeBad = 1;
ErrorCodeBadParm = 2;

type

{ kitchen sink record - a place for everything and everything in its place }

IntRecType =
record
  FunctionNum : byte;
  ErrorCode : byte;
  Status : byte;
  Pointer : pointer;
  Data      : longint;
  Channel   : byte;
  Range     : Longint;
end;

{ This type is identical to the IntRecType but looked at another way }
{ so that the last three items can be looked at as a FIFO record     }

IntRecFIFOType =
record
  FunctionNum : byte;
  ErrorCode : byte;
  Status : byte;
  Pointer : pointer;
  DataRec : DataEntryType;
end;

